Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2.parser
Class JexlNode

    java.lang.Object
      org.apache.commons.jexl2.parser.SimpleNode
          org.apache.commons.jexl2.parser.JexlNode

All Implemented Interfaces:
  JexlInfo, Node

Direct Known Subclasses:
  ASTAdditiveNode, ASTAdditiveOperator, ASTAmbiguous, ASTAndNode, ASTArrayAccess, ASTArrayLiteral, ASTAssignment, ASTBitwiseAndNode, ASTBitwiseComplNode, ASTBitwiseOrNode, ASTBitwiseXorNode, ASTBlock, ASTConstructorNode, ASTDivNode, ASTEmptyFunction, ASTEQNode, ASTERNode, ASTFalseNode, ASTFloatLiteral, ASTForeachStatement, ASTFunctionNode, ASTGENode, ASTGTNode, ASTIdentifier, ASTIfStatement, ASTIntegerLiteral, ASTJexlScript, ASTLENode, ASTLTNode, ASTMapEntry, ASTMapLiteral, ASTMethodNode, ASTModNode, ASTMulNode, ASTNENode, ASTNotNode, ASTNRNode, ASTNullLiteral, ASTOrNode, ASTReference, ASTSizeFunction, ASTSizeMethod, ASTStringLiteral, ASTTernaryNode, ASTTrueNode, ASTUnaryMinusNode, ASTWhileStatement

    public abstract class JexlNode

extends SimpleNode
implements JexlInfo

Base class for parser nodes - holds an 'image' of the token for later use.

Since:
  2.0

Field Summary
`String` | `image` token value.

Fields inherited from class org.apache.commons.jexl2.parser.SimpleNode
`children, id, parent, value`

Constructor Summary
`JexlNode(int id)`
`JexlNode(Parser p, int id)`

Method Summary
`String` | `debugString()` Formats this information for debugging purpose.
`JexlInfo` | `getInfo()`

Methods inherited from class org.apache.commons.jexl2.parser.SimpleNode
`childrenAccept, dump, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtGetValue, jjtOpen, jjtSetParent, jjtSetValue, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### image

    public String image

  token value.

Constructor Detail

### JexlNode

    public JexlNode(int id)

### JexlNode

    public JexlNode(Parser p,
                    int id)

Method Detail

### getInfo

    public JexlInfo getInfo()

### debugString

    public String debugString()

  Formats this information for debugging purpose.

  Specified by:
    `debugString` in interface `JexlInfo`
  Returns:
    a human readable string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.